<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Mon May 04 16:03:47 EEST 2020 -->
<title>PDF</title>
<meta name="date" content="2020-05-04">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PDF";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../ro/utcn/presentation/Parser.html" title="class in ro.utcn.presentation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?ro/utcn/presentation/PDF.html" target="_top">Frames</a></li>
<li><a href="PDF.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ro.utcn.presentation</div>
<h2 title="Class PDF" class="title">Class PDF</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ro.utcn.presentation.PDF</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PDF</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ro/utcn/presentation/PDF.html#clientReport-java.util.ArrayList-">clientReport</a></span>(java.util.ArrayList&lt;<a href="../../../ro/utcn/model/Client.html" title="class in ro.utcn.model">Client</a>&gt;&nbsp;clients)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ro/utcn/presentation/PDF.html#createBill-java.lang.Integer-java.lang.String-java.lang.String-java.lang.Integer-java.lang.Double-">createBill</a></span>(java.lang.Integer&nbsp;id,
          java.lang.String&nbsp;clientName,
          java.lang.String&nbsp;productName,
          java.lang.Integer&nbsp;quantity,
          java.lang.Double&nbsp;price)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ro/utcn/presentation/PDF.html#createUnderstockedBill-java.lang.String-java.lang.Integer-java.lang.String-java.lang.Integer-">createUnderstockedBill</a></span>(java.lang.String&nbsp;productName,
                      java.lang.Integer&nbsp;productQuantity,
                      java.lang.String&nbsp;clientName,
                      java.lang.Integer&nbsp;requestedQuantity)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../ro/utcn/presentation/PDF.html" title="class in ro.utcn.presentation">PDF</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ro/utcn/presentation/PDF.html#getPdf--">getPdf</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ro/utcn/presentation/PDF.html#orderReport-java.util.ArrayList-">orderReport</a></span>(java.util.ArrayList&lt;<a href="../../../ro/utcn/model/Orders.html" title="class in ro.utcn.model">Orders</a>&gt;&nbsp;orders)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ro/utcn/presentation/PDF.html#productReport-java.util.ArrayList-">productReport</a></span>(java.util.ArrayList&lt;<a href="../../../ro/utcn/model/Product.html" title="class in ro.utcn.model">Product</a>&gt;&nbsp;products)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createBill-java.lang.Integer-java.lang.String-java.lang.String-java.lang.Integer-java.lang.Double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBill</h4>
<pre>public&nbsp;void&nbsp;createBill(java.lang.Integer&nbsp;id,
                       java.lang.String&nbsp;clientName,
                       java.lang.String&nbsp;productName,
                       java.lang.Integer&nbsp;quantity,
                       java.lang.Double&nbsp;price)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - order id</dd>
<dd><code>clientName</code> - client name</dd>
<dd><code>productName</code> - product name</dd>
<dd><code>quantity</code> - quantity of product</dd>
<dd><code>price</code> - price per unit</dd>
</dl>
</li>
</ul>
<a name="createUnderstockedBill-java.lang.String-java.lang.Integer-java.lang.String-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createUnderstockedBill</h4>
<pre>public&nbsp;void&nbsp;createUnderstockedBill(java.lang.String&nbsp;productName,
                                   java.lang.Integer&nbsp;productQuantity,
                                   java.lang.String&nbsp;clientName,
                                   java.lang.Integer&nbsp;requestedQuantity)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>productName</code> - name of product</dd>
<dd><code>productQuantity</code> - quantity of product</dd>
<dd><code>clientName</code> - name of client</dd>
<dd><code>requestedQuantity</code> - quantity requested for the understocked bill</dd>
</dl>
</li>
</ul>
<a name="clientReport-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clientReport</h4>
<pre>public&nbsp;void&nbsp;clientReport(java.util.ArrayList&lt;<a href="../../../ro/utcn/model/Client.html" title="class in ro.utcn.model">Client</a>&gt;&nbsp;clients)</pre>
</li>
</ul>
<a name="productReport-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>productReport</h4>
<pre>public&nbsp;void&nbsp;productReport(java.util.ArrayList&lt;<a href="../../../ro/utcn/model/Product.html" title="class in ro.utcn.model">Product</a>&gt;&nbsp;products)</pre>
</li>
</ul>
<a name="orderReport-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orderReport</h4>
<pre>public&nbsp;void&nbsp;orderReport(java.util.ArrayList&lt;<a href="../../../ro/utcn/model/Orders.html" title="class in ro.utcn.model">Orders</a>&gt;&nbsp;orders)</pre>
</li>
</ul>
<a name="getPdf--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPdf</h4>
<pre>public static&nbsp;<a href="../../../ro/utcn/presentation/PDF.html" title="class in ro.utcn.presentation">PDF</a>&nbsp;getPdf()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../ro/utcn/presentation/Parser.html" title="class in ro.utcn.presentation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?ro/utcn/presentation/PDF.html" target="_top">Frames</a></li>
<li><a href="PDF.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
